unit UnitEnd;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, jpeg, ExtCtrls;

type
  TFormEnd = class(TForm)
    Image1: TImage;
    TimerClose: TTimer;
    procedure TimerCloseTimer(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    // задание параметров создания окна
    procedure CreateParams(var Params: TCreateParams); override;
  end;

var
  FormEnd: TFormEnd;

implementation

{$R *.dfm}

// задание параметров создания окна
procedure TFormEnd.CreateParams(var Params: TCreateParams);
begin
  inherited CreateParams(Params);
  with Params do
    Style := (Style OR WS_POPUP) AND NOT WS_DLGFRAME;
end;

procedure TFormEnd.TimerCloseTimer(Sender: TObject);
begin
  TimerClose.Enabled := False; // запретить таймер
  Close; // закрыть форму
end;

procedure TFormEnd.FormShow(Sender: TObject);
begin
  TimerClose.Enabled := True; // разрешить таймер
end;

end.
